## gbgoffice 1.4

=== debian/changelog ===
gbgoffice (1.4-8build1) wily; urgency=medium

  * No-change rebuild against libatkmm-1.6-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 18:15:45 +0000

gbgoffice (1.4-8) unstable; urgency=low

  * add 11_explicit-linkage.patch by Bhavani Shankar R.
    Fixes failure at link time when using binutils-gold (Closes: #554373)
  * Claim conformance with policy 3.9.1 (no changes)
  * Convert to "3.0 (quilt)" source format

 -- Damyan Ivanov <dmn@debian.org>  Fri, 25 Feb 2011 22:43:46 +0200

gbgoffice (1.4-7) unstable; urgency=medium

  * add workhelper-buttonbox.patch, accomodating to the changed return type of
    GtkMM's get_status_area()
    Closes: #577371 (FTBFS). Thanks to Lucas Nussbaum.
  * Standard-Version: 3.8.4 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 11 Apr 2010 15:02:11 +0300

gbgoffice (1.4-6) unstable; urgency=low

  * add 09_deprecated_SigC.patch; fixes compilation with gcc-4.5
    Closes: #564991; Thanks to George Danchev for the patch

 -- Damyan Ivanov <dmn@debian.org>  Wed, 20 Jan 2010 08:14:49 +0200

gbgoffice (1.4-5) unstable; urgency=low

  * Acknowledge NMU. Thanks gregor!

  * control: put me in Maintainer: instead of a dead mailing list
  * add README.source documenting quilt usage
  * rules: convert to minimalistic debhelper v7 style
  * control: remove binary package Section (duplicating source one)
  * replace re-autogen.patch with a call of ./autogen.sh
  * merge prepare-configure-for-multidir.patch into multidir.patch
  * refresh all patches with --no-timestamps --no-index -p ab --strip-
    trailing-whitespace
  * describe all patches
  * Bump standards-version to 3.8.3

 -- Damyan Ivanov <dmn@debian.org>  Mon, 28 Dec 2009 14:41:40 +0200

gbgoffice (1.4-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: invalid const conversion", apply patch from Ubuntu, thanks to
    Jon Bernard (closes: #550115).

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 Dec 2009 19:05:39 +0100

gbgoffice (1.4-4) unstable; urgency=low

  * "Going official"

  * First upload to archive. (Closes: #425731)
  * Changed maintainer address to debian-addons-bg-maintainers@openfmi.net;
    Added myself to Uploaders
  * Changed section to text (from contrib/text)
    Rationale: the package itself is GPL, free data for it is available
    + Moved the paragraph about where to get non-free data from long
      description to README.Debian.
  * Added Recommends: bgoffice-computer-terms
  * Added Suggests: bgoffice-dict-downloader
  * Clarified gtk/qt distinction in description
  * Changed menu entry title to "Bulgarian-English dictionary (GTK)"

  [ Yavor Doganov ]
  * debian/control: Build-depend on debhelper >= 5; 5.0.0 is over-precise.
  * Removed myself from Uploaders.
  * debian/rules: Pass --host to ./configure only when DEB_BUILD_GNU_TYPE
    and DEB_HOST_GNU_TYPE differ.
  * Set CXXFLAGS instead of CFLAGS. 
  * debian/copyright: Changed the "Present maintainer" record to match
    Damyan's change.

  [ Damyan Ivanov ]
  * Move -Wl,-z,defs from CXXFLAGS to LDFLAGS
  * debian/rules:
    + use "$@" when touching stamps
    + do not ignore errors from $(MAKE) distclean
    + do not depend on patch for cleaning, touch the Makefiles etc to avoid
      their re-creation; dropped clean-patched target
    + fix inter-target dependencies
    + remove stamp files before distclean
    + use $(TMP) for shorter paths
    + remove unused dh_installdirs and dh_link calls
    + symlink usr/share/pixmaps/gbgoffice-icon.png instead of copying it
  * drop Encoding from gbgoffice.desktop
  * Standards-Version: 3.7.3
    debian/menu: s/Apps/Applications/
  * debian/control: promote Homepage to a real field
  * debian/copyright: converted to machine-readable format; add packaging
    copyright; add stanzas for src/eggtrayicon.* and auto* files; use current
    FSF address
  * new 06_const-chars.patch fixes most of the missing "const" for char types
  * new 07_gcc4.3.patch fixes compilation with GCC 4.3

 -- Damyan Ivanov <dmn@debian.org>  Wed, 05 Mar 2008 13:18:40 +0200

gbgoffice (1.4-3) unstable; urgency=low

  * The "Die, useless files, die!" release.
  * Removed debian/dirs, pass -D to the install calls in debian/rules.
  * Removed debian/docs; README contains only installation instructions,
    so it is pointless to have it installed.
  * Removed debian/TODO, it is redundant now.
  * Convert the upstream ChangeLog to UTF-8 and install it.
  * debian/watch: Removed the comments and switch to version 3.
  * Following a (not so recent) discussion on debian@lists.uni-sofia.bg,
    it turned out that bgoffice-computer-terms is not DFSG-compliant, so
    stop recommending it.
  * Added ${misc:Depends} as dependency, just in case.
  * Added myself to Uploaders.

 -- Yavor Doganov <yavor@doganov.org>  Sat, 20 Jan 2007 11:40:55 +0200

gbgoffice (1.4-2) unstable; urgency=low

  [ Damyan Ivanov ]
  * [debian/rules] Use -Wl,--as-needed in LDFLAGS to avoid unnecessary
    dependencies
  * [debian/patches] Renamed all patches to reflect their order
  * [debian/copyright] Added license for the packaging (GPL2)
  * [debian/control]
    + Changed section to "text".
    + Until better mailing list is found, I am the maintainer, Yavor and
      George - co- maintainers.
    + Recommends: bgoffice-computer-terms
    + Small improvement of the long description
  * [debian/postinst, debian/postrm] dropped. Were dh_make stubs.

  [ George Danchev ]
  * Changed back to contrib/text since depends on non-free dictionaries
  * Updated README.Debian

 -- Damyan Ivanov <dam@modsoftsys.com>  Tue, 24 Oct 2006 14:41:17 +0300

gbgoffice (1.4-1) unstable; urgency=low

  * New upstream release

  * Moved from dpatch to quilt
  * Changed debian/patches accordingly
  * Dropped 01_trunk-light-version-support.patch - included upstream
  * Added patches to ease autotools re-run
    + prepare-configure-for-multidir.patch
    + re-autogen.patch
  * Adjusted 02_multidir.patch

