=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
http://openfmi.net/frs/?group_id=34&release_id=18	/frs/download.php/\d+/gbgoffice-([0-9.]+)\.tar\.gz	debian	uupdate
